| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
THM1176IM_Test02_Measure.cpp File Reference

Test code for THM1176 Instrument Manager: Measure. More...

`#include <thread>`
`#include <chrono>`
`#include <ctime>`
`#include <iostream>`
`#include <QtTest>`
`#include <QSignalSpy>`
`#include "CTHM1176InstrumentManager.h"`
`#include "THM1176IM_Test02_Measure.moc"`
Include dependency graph for THM1176IM_Test02_Measure.cpp:

Go to the source code of this file.

## Classes
class | THM1176IM_Test02_Measure

## Macros
#define | THM1176_PROMPT_TIME 10
#define | THM1176_BOOT_N_SCAN_TIME 15000
#define | THM1176_CONNECT_TIME 5000
#define | THM1176_CHANGE_PARM_TIME 1000
#define | THM1176_RESET_TIME 1000
#define | THM1176_MEASURE_TIME 20000
#define | THM1176_CALIBRATE_TIME 10000

## Functions
static const F64 | THM1176_IMMEDIATE_TIME_PER_ACQ (1.0281823091218700E+05)
static const F64 | THM1176_IMMEDIATE_TIME_PER_MEAS (4.4532792007542600E+04)
static void | PromptAndWait (std::string Prompt)
F64 | PeriodOfImmediateTrigger (sAveraging< uParm > Averaging)

## Variables
static CTHM1176InstrumentManager | Manager

## Detailed Description

Test code for THM1176 Instrument Manager: Measure.

Definition in file THM1176IM_Test02_Measure.cpp.

## Macro Definition Documentation

## ◆ THM1176_BOOT_N_SCAN_TIME

#define THM1176_BOOT_N_SCAN_TIME 15000

Definition at line 21 of file THM1176IM_Test02_Measure.cpp.

## ◆ THM1176_CALIBRATE_TIME

#define THM1176_CALIBRATE_TIME 10000

Definition at line 26 of file THM1176IM_Test02_Measure.cpp.

## ◆ THM1176_CHANGE_PARM_TIME

#define THM1176_CHANGE_PARM_TIME 1000

Definition at line 23 of file THM1176IM_Test02_Measure.cpp.

## ◆ THM1176_CONNECT_TIME

#define THM1176_CONNECT_TIME 5000

Definition at line 22 of file THM1176IM_Test02_Measure.cpp.

## ◆ THM1176_MEASURE_TIME

#define THM1176_MEASURE_TIME 20000

Definition at line 25 of file THM1176IM_Test02_Measure.cpp.

## ◆ THM1176_PROMPT_TIME

#define THM1176_PROMPT_TIME 10

Definition at line 20 of file THM1176IM_Test02_Measure.cpp.

## ◆ THM1176_RESET_TIME

#define THM1176_RESET_TIME 1000

Definition at line 24 of file THM1176IM_Test02_Measure.cpp.

## Function Documentation

## ◆ PeriodOfImmediateTrigger()

F64 PeriodOfImmediateTrigger | ( | sAveraging< uParm > | Averaging | ) |

Definition at line 45 of file THM1176IM_Test02_Measure.cpp.

## ◆ PromptAndWait()

void PromptAndWait | ( | std::string | Prompt | ) |
| static

Definition at line 36 of file THM1176IM_Test02_Measure.cpp.

## ◆ THM1176_IMMEDIATE_TIME_PER_ACQ()

const F64 THM1176_IMMEDIATE_TIME_PER_ACQ | ( | 1.0281823091218700E+ | 05 | ) |
| static

## ◆ THM1176_IMMEDIATE_TIME_PER_MEAS()

const F64 THM1176_IMMEDIATE_TIME_PER_MEAS | ( | 4.4532792007542600E+ | 04 | ) |
| static

## Variable Documentation

## ◆ Manager

CTHM1176InstrumentManager Manager
| static

Definition at line 31 of file THM1176IM_Test02_Measure.cpp.